Package com.xebialabs.deployit.plugin.api.reflect

# Enum Class PropertyKind

java.lang.Object
java.lang.Enum<PropertyKind>
com.xebialabs.deployit.plugin.api.reflect.PropertyKind

All Implemented Interfaces:
  `Serializable`, `Comparable<PropertyKind>`, `Constable`

public enum PropertyKind extends Enum<PropertyKind>
Enumeration of all the available values for a property's type.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOOLEAN`
  `CI`
  `DATE`
  `ENUM`
  `INTEGER`
  `LIST_OF_CI`
  `LIST_OF_STRING`
  `MAP_STRING_STRING`
  `SET_OF_CI`
  `SET_OF_STRING`
  `STRING`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isSimple()`
  `static PropertyKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static PropertyKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### BOOLEAN

    public static final PropertyKind BOOLEAN

  - ### INTEGER

    public static final PropertyKind INTEGER

  - ### STRING

    public static final PropertyKind STRING

  - ### ENUM

    public static final PropertyKind ENUM

  - ### DATE

    public static final PropertyKind DATE

  - ### CI

    public static final PropertyKind CI

  - ### SET_OF_STRING

    public static final PropertyKind SET_OF_STRING

  - ### SET_OF_CI

    public static final PropertyKind SET_OF_CI

  - ### LIST_OF_STRING

    public static final PropertyKind LIST_OF_STRING

  - ### LIST_OF_CI

    public static final PropertyKind LIST_OF_CI

  - ### MAP_STRING_STRING

    public static final PropertyKind MAP_STRING_STRING

- ## Method Details

  - ### values

    public static PropertyKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static PropertyKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isSimple

    public boolean isSimple()
    Returns:
      Whether this kind can be safely treated as a PropertyKind.STRING when doing placeholder resolution.